This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 513237 - mutt has too light background in gnome-terminal
mutt has too light background in gnome-terminal
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mutt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-22 12:28 EDT by Stepan Kasal
Modified: 2009-07-24 11:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-24 11:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2009-07-22 12:28:52 EDT
When I run mutt, the background changes from black to dark grey, making the reading a bit less comfortable by lowering the contrast.

Reproduce:
- edit /etc/Muttrc: comment out all "color" directives
- run gnome-terminal with a black background
- observe the background is not as black as previously

version:
mutt-1.5.19-5.fc12.i586
    or mutt-1.5.18-4.fc10.i386
ncurses-libs-5.7-2.20090207.fc11.i586
this is mostly Fedora 11, with some rawhide pkgs.
(what else might be relevant?)

(You might ask why I need to edit /etc/Muttrc.  There is no easy way to "undo" the color directives and say; I do not want colors at all.)

The bug disappears as soon as Muttrc or .muttrc contains one color directive for a suitable category.  For example, "color normal default default" is enough to fix the issue.  Almost any color directive will do, I tested "normal", "hdrdefault", "quoted", "underline".  OTOH, using a sole "color indicator" directive does not "fix" the issue.
Comment 1 Stepan Kasal 2009-07-24 11:08:30 EDT
Mirek has explained to me that this is a conflict between my default background color (real black) and the palette 0 color, often called black, for example in the mutt config file.
So when the Muttrc file says "color normal default default" I get the default colors, which need not be members of the palette set.
But if the Muttrc does not specify anything, mutt decides to use some built in combination of colors, which is actually only monochrome, but involves color 0 as background (not the "default" background color).

Actually, I tend to think now that there is no bug in mutt nor ncurses.
I was confused by a non-conventional palette which did not contain the black color on its usual position, see bug #513630.

Note You need to log in before you can comment on or make changes to this bug.